<?php


class akey
{
    //保护时间hash
    public static function proteTimeKey($d, $uid = null){
        if($uid === null){
            return "DAY:HASH:PROTE_TIME_KEY".$d;
        }
        $key = $uid % 24;
        return "DAY:HASH:PROTE_TIME_KEY".$d.":{$key}";
    }
    //被偷次数hash
    public static function beStealNumHashKey($d){
        return "DAY:HASH:BE_STEAL_NUM_KEY".$d;
    }
    //被偷对象等级分块
    public static function userLevelStealList($lv){
        return "SYS:LIST:USER_LEVEL_STEAL_LIST:".$lv;
    }
    //新的偷取集合
    public static function newStealList($lv){
        return "SYS:LIST:NEW_STEAL_LIST:".$lv;
    }
    //被偷出队临时信息
    public static function userBeStealList(){
        return "SYS:HASH:USER_BE_STEAL_LIST";
    }
    //被偷对象备选池
    public static function userLevelStealListBTF($lv){
        return "SYS:LIST:BTF_USER_LEVEL_STEAL_LIST:".$lv;
    }
}
